StatefulContext
Date: 2014-11-12

org.gcube.common.searchservice.resultsetservice

## Class StatefulContext

- java.lang.Object
- - GCUBEStatefulPortTypeContext
  - - org.gcube.common.searchservice.resultsetservice.StatefulContext

-     public class StatefulContext
      extends GCUBEStatefulPortTypeContext

  Author:
    UoA

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SSLSUPPORT` SSL support
    `static java.lang.String` | `STREAM_PORT` The stream port tag

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatefulContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getJNDIName()` Get JNDI name
    `java.lang.String` | `getNamespace()` Get the namespace
    `static GCUBEStatefulPortTypeContext` | `getPortTypeContext()` Get port type context
    `GCUBEServiceContext` | `getServiceContext()` Get service context

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STREAM_PORT

          public static java.lang.String STREAM_PORT

      The stream port tag

    - #### SSLSUPPORT

          public static java.lang.String SSLSUPPORT

      SSL support

  - ### Constructor Detail

    - #### StatefulContext

          public StatefulContext()

  - ### Method Detail

    - #### getJNDIName

          public java.lang.String getJNDIName()

      Get JNDI name
      Returns:
        the JNDI name

    - #### getNamespace

          public java.lang.String getNamespace()

      Get the namespace
      Returns:
        the JNDI name

    - #### getServiceContext

          public GCUBEServiceContext getServiceContext()

      Get service context
      Returns:
        the service context

    - #### getPortTypeContext

          public static GCUBEStatefulPortTypeContext getPortTypeContext()

      Get port type context
      Returns:
        the port type context